Name:		dluploadclient
Version:	2.0a
Release:	%mkrel 5
Summary:	Upload files via FTP easily on dl.free.fr Service
Summary(fr_FR):	Envoyer vos fichiers facilement sur le service dl.free.fr
Group:		Networking/File transfer
License:	GPLv3
URL:		http://phpkernel.free.fr/projects/DLUploadClient/
Source0:	http://phpkernel.free.fr/projects/DLUploadClient/Application/Unix/%{name}-%{version}.tar.gz

BuildArch:	noarch

Requires:	java-1.8.0-openjdk

%description
The dl.free.fr Customer is software that allows you to put files on the
proposed http://dl.free.fr/ service from Free using FTP software.
The software is preconfigured to use this service, and you can copy the
links, without having to find the link to the file in the FTP log.
Program in Java.

%description -l fr_FR
Le client dl.free.fr est un logiciel qui vous permet de placer des fichiers sur
le service http://dl.free.fr/ proposé par Free en utilisant un logiciel FTP.
Le logiciel est préconfiguré pour utiliser ce service, et vous pouvez
directement copier le liens, sans avoir a rechercher le lien du fichier
dans le log FTP.
Programmé en Java.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps

cp -pr *.jar %{buildroot}%{_javadir}/%{name}/
cp -pr dluploadclient.sh dluploadclient.png %{buildroot}%{_datadir}/%{name}/
cp -pr dluploadclient.png %{buildroot}%{_datadir}/pixmaps/


# desktop menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=DLUploadClient
GenericName=Customer dl.free.fr
GenericName[fr]=Client dl.free.fr
Comment=Upload files via FTP easily on dl.free.fr Service
Comment[fr]=Envoyer vos fichiers facilement sur le service dl.free.fr
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
MimeType=
Categories=Network;FileTransfer;GTK;Java;X-Mageia-CrossDesktop;
EOF


#make Excutable on /usr/bin/
cat > %{buildroot}%{_bindir}/dluploadclient << EOF
#!/bin/sh
#
java -jar %{_javadir}/%{name}/%{name}.jar
EOF

chmod 0755 %{buildroot}%{_bindir}/%{name}

%files
%doc VERSION Changelog doc
%{_bindir}/%{name}
%{_javadir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Mar 01 2015 daviddavid (MLO Team) <daviddavid> 2.0a-5.mga5
+ Rebuild package for Mageia 5 (Core\MLO)

* Sat Jan 25 2014 david.david (MLO Team) <david.david> 2.0a-4.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- fix correct repertory for jar files '%%{_javadir}'
- version: 2.0a

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 2.0a-3.mga3
+ Revision: 3
- correcting "spec"file

* Tue Apr 23 2013 david.david (MLO Team) <david.david> 2.0a-2.mga3
+ Revision: 2
+ Rebuild package for Mageia 3 (Core)
- version 2.0a

* Sat Apr 20 2013 david.david (MLO Team) <david.david> 2.0a-1.mga2
+ Revision: 1
- new version: 2.0a
+ Build the DLUploadClient package
- import package to Mageia 2 (Core)

